package com.mosty.yjzl.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.query.yjzl.TbYjmxQuery;
import com.mosty.base.model.vo.yjzl.TbYjmxAllVo;
import com.mosty.base.model.vo.yjzl.TbYjmxVo;
import io.swagger.annotations.ApiOperation;


public interface TbYjmxService {



    /**
     * 新增
     * @param yjmx
     */
    int insert(TbYjmxVo yjmx);

    /**
     * 编辑
     * @param yjmx
     */
    int updateById(TbYjmxVo yjmx);

    /**
     * 查询
     * @param id
     * @return
     */
    TbYjmxVo queryById(String id);

    /**
     * 根据ID删除
     * @param id
     * @return
     */
    int deleteById(String id);

    @ApiOperation("分页查询")
    IPage<TbYjmxVo> getPage(TbYjmxQuery dto);

    /**
     * 根据ID更改模型状态
     * @param id
     * @return
     */
    int startMx(String id);

    /**
     * 查询模型参数详情信息
     * @param mxid
     * @return
     */
    TbYjmxAllVo getMxCs(String mxid);
}
